#!/bin/bash

mkdir -vp esp/EFI/BOOT
cp $1 esp/EFI/BOOT/BOOTX64.EFI

exec qemu-system-x86_64 -accel kvm \
     -m 4G \
     -cpu host \
     -smp 2,sockets=1,dies=1,cores=2,threads=1 \
     -vga virtio \
     -no-reboot \
     -serial stdio \
     -usb -device usb-mouse \
     -drive if=pflash,format=raw,readonly=on,file=/usr/share/ovmf/x64/OVMF_CODE.fd \
     -drive if=pflash,format=raw,readonly=on,file=/usr/share/ovmf/x64/OVMF_VARS.fd \
     -drive format=raw,file=fat:rw:esp
